package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CompanyWorkflowEntryCollection extends AbstractObjectCollection 
{
    public CompanyWorkflowEntryCollection()
    {
        super(CompanyWorkflowEntryInfo.class);
    }
    public boolean add(CompanyWorkflowEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CompanyWorkflowEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CompanyWorkflowEntryInfo item)
    {
        return removeObject(item);
    }
    public CompanyWorkflowEntryInfo get(int index)
    {
        return(CompanyWorkflowEntryInfo)getObject(index);
    }
    public CompanyWorkflowEntryInfo get(Object key)
    {
        return(CompanyWorkflowEntryInfo)getObject(key);
    }
    public void set(int index, CompanyWorkflowEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CompanyWorkflowEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CompanyWorkflowEntryInfo item)
    {
        return super.indexOf(item);
    }
}